Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1a96045f-e60c-43a8-bad0-d3034a0ea2de",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "8a87087f-7bda-444a-aed7-f470ef9c820d",
"company_code": "sample string 5",
"company": {
"id": "9e08a864-c75c-4e35-a4af-4654d313110e",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-29T14:50:06.8461017+00:00",
"sales_territory_id": "fae029fe-d355-4e60-8976-b82f84d664d4",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "d84587e2-3afc-4c70-8faa-60e172afd234",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "f80efa56-d443-4cff-89e8-6894355c6e44",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "ca133aae-e072-44fb-a9ab-0226458c0333",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b926958e-9017-4237-9d9f-6d86ae6677ac",
"db_currency_id": "03a29069-489d-4b2d-9672-09889e9bef97",
"db_language_id": "8b48dcd1-d2ed-4669-9f74-16a404fe248c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00"
},
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00"
},
"marketing_segment_id": "13a35005-bcab-433a-a52a-c180eca11022",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "a679c62e-be98-4490-afab-86fc270262b3",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "9e28ec92-027a-4844-8720-a1df9b316c01",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "250ca63e-a516-40d9-944d-cb7f51798aa5",
"db_country_code": "sample string 28",
"feelist_id": "d2106f75-42b7-4de6-bb27-412f0c287970",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "8181eeda-a28d-4191-bff7-d362194ade9b",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "605bb484-ec08-4c7d-933a-070d1ad3c187",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00",
"db_currency_id": "12916cbe-f5e8-4ea2-b801-fcfa777e9a53",
"db_currency_code": "sample string 10"
},
"company_type_id": "fb0e6ab6-983d-4f43-8a96-2656e6cad94e",
"company_type_name": "sample string 32",
"company_type": {
"id": "58b1a2fd-48ed-4c47-8ce6-0641dfd5d884",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "fb4f9d0d-8a10-4b65-a4bd-7727797583b0",
"sales_organization_code": "sample string 5"
},
"db_language_id": "0f4b05a2-39a4-47f1-82e2-8156e01d4705",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "0e138ed8-b652-4bc6-a1b1-96a6eff18996",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "803dee88-3bf3-46ad-ac62-7da1961e9477",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "ebf06125-d1f0-4e8e-95f7-eba50fcac4f5",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00"
},
"company_sector_id": "9350fd18-10ff-4ef3-865b-3f706f10361b",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "f92aaec4-d476-40e0-b2c1-194165d7e7af",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "24977c82-4876-4236-a5ca-fcccfba51b0d",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "105e6a85-130c-4de4-96c6-5858cfb6d263",
"account_manager_user_code": "sample string 56",
"company_status_id": "95d37f04-6bfd-44f8-8196-9332ef2f344d",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00",
"id2": 60
},
"db_language_id": "3b4f5b67-5000-4b95-bcf8-da387d142fb0",
"db_language_code": "sample string 7",
"db_title_id": "6be81009-6998-4044-84f3-07012ba23a9e",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-29T14:50:06.8461017+00:00",
"create_date": "2026-10-29T14:50:06.8461017+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-29T14:50:06.8461017+00:00"
}